## EDU.oswego.cs.dl.util.concurrent
Class DirectExecutor

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.DirectExecutor

All Implemented Interfaces:
  Executor

    public class DirectExecutor

extends java.lang.Object
implements Executor

An implementation of Executor that invokes the run method of the supplied command and then returns.

[ Introduction to this package. ]

Constructor Summary
`DirectExecutor()`

Method Summary
`void` `execute(java.lang.Runnable command)` Execute the given command directly in the current thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectExecutor

    public DirectExecutor()

Method Detail

### execute

    public void execute(java.lang.Runnable command)
                 throws java.lang.InterruptedException

  Execute the given command directly in the current thread.

  Specified by:
    `execute` in interface `Executor`
  Throws:
    `java.lang.InterruptedException`